<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['product']));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['product']), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars); ?>

<div class="product-share">
    <b><?php echo app('translator')->get('Share :'); ?></b>
    <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo e(urlencode(url()->current())); ?>" target="blank" title="<?php echo app('translator')->get('Share on Facebook'); ?>">
        <i class="fab fa-facebook-f"></i>
    </a>
    <a href="http://pinterest.com/pin/create/button/?url=<?php echo e(urlencode(url()->current())); ?>&description=<?php echo e(__($product->name)); ?>&media=<?php echo e(getImage('assets/images/product/' . @$product->main_image)); ?>" title="<?php echo app('translator')->get('Share on Pinterest'); ?>" target="blank">
        <i class="fab fa-pinterest-p"></i>
    </a>
    <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo e(urlencode(url()->current())); ?>&amp;title=<?php echo e($product->name); ?>&amp;summary=<?php echo e($product->summary); ?>" title="<?php echo app('translator')->get('Share on Linkedin'); ?>" target="blank">
        <i class="fab fa-linkedin-in"></i>
    </a>
    <a href="https://twitter.com/intent/tweet?text=<?php echo e(__($product->name)); ?>%0A<?php echo e(url()->current()); ?>" title="<?php echo app('translator')->get('Share on Twitter'); ?>" target="blank">
        <i class="fab fa-x-twitter"></i>
    </a>
</div>
<?php /**PATH /home/creativedesignbd/ecommerce8.creativedesign.com.bd/core/resources/views/components/frontend/product-sharer.blade.php ENDPATH**/ ?>